<?xml version="1.0" encoding="utf-8"?>
<ObjDef xmlns="http://www.sonicretro.org">
  <Images>
    <ImageFromSheet id="Snake_G" sheet="R2/Objects.gif" sourcex="1" sourcey="83" width="32" height="40">
      <Offset X="-16" Y="-20"/>
    </ImageFromSheet>
    <ImageFromSheet id="Snake_B" sheet="R2/Objects.gif" sourcex="34" sourcey="83" width="32" height="40">
      <Offset X="-16" Y="-20"/>
    </ImageFromSheet>
  </Images>

  <Properties>
    <Property name="Condition" type="Condition" startbit="0" length="8" />
  </Properties>

  <Enums>
    <Enum name="Condition">
      <EnumMember name="Good" />
      <EnumMember name="Bad" />
    </Enum>
  </Enums>
  
  <ImageSets>
    <ImageSet id="Snake_Good">
      <ImageRef image="Snake_G">
      </ImageRef>
    </ImageSet>
    <ImageSet id="Snake_Bad">
      <ImageRef image="Snake_B">
      </ImageRef>
    </ImageSet>
  </ImageSets>

  <Subtypes>
    <Subtype id="00" name="Good Condition">
      <ImageSetRef set="Snake_Good" />
    </Subtype>
    <Subtype id="01" name="Bad Condition">
      <ImageSetRef set="Snake_Bad" />
    </Subtype>
  </Subtypes>
</ObjDef>